@media (min-width: 768px) {

    :root {
        --first: #660033;
        --second: #fcbe0e;
        --flash: #33cc99;
        --font: "Gabarito", sans-serif;
        --special: white;
        --button: white;
        --dark: #440126;
    }

    body {
        font-family: var(--font);
        font-optical-sizing: auto;
        font-weight: 500;
        font-style: normal;
        background: var(--first);
        margin: 0px;
        padding: 0px 15px;
    }

    /* HEADER */

    img.logo {
        height: 100px;
        margin: 0px auto;
        align-content: center;
    }

    .divlogo {
        align-content: flex-start;
        width: 100%;
        float: left;
        height: 140px;
        text-align: center;
    }

    .header {
        text-align: center;
        height: 60px;
        float: left;
        width: 100%;
    }

    .headerleft {
        width: 30%;
        text-align: center;
        float: left;
        display: flex;
        align-items: center;
        /* vertical centering */
        justify-content: center;
        /* horizontal centering, optional */
        height: 100%;
    }

    .middlecentersmall {
        display: none;
    }

    .headercenter {
        width: 40%;
        float: left;
        display: flex;
        align-items: center;
        /* vertical centering */
        justify-content: center;
        /* horizontal centering, optional */
        height: 100%;
    }

    .innerheadercenter {
        color: white;
        font-weight: 400;
        background: var(--dark);
        border-radius: 50px;
        height: auto;
        padding: 10px 40px;
    }

    .headerright {
        width: 30%;
        text-align: center;
        float: left;
        display: flex;
        align-items: center;
        /* vertical centering */
        justify-content: center;
        /* horizontal centering, optional */
        height: 100%;
    }

    #name0,
    #name1 {
        color: white;
        text-align: center;
        vertical-align: middle;
        background: none;
        border: none;
        font-size: 40px;
        max-width: 100%;
        font-family: var(--font);
        text-shadow: 2px 2px black;
    }

    /* SCOREBOARD */

    .setup {
        margin-bottom: 20px;
        display: none;
    }

    .players {
        display: flex;
        justify-content: space-between;
        margin-bottom: 20px;
    }

    .player {
        background: var(--first);
        text-align: center;
        width: 30%;
        cursor: pointer;
        border-radius: 50px;
        color: var(--second);
    }

    .middle {
        display: flex;
        justify-content: space-between;
        margin-bottom: 20px;
    }

    .middlecenter {
        padding: 10px;
        width: 38%;
        margin: 0px 30px;
    }

    .score.selected {
        background-color: var(--flash);
    }

    .score.selected input {
        background-color: transparent;
    }

    .score {
        font-size: 12em;
        margin: 10px 0;
        background: var(--second);
        border-top-left-radius: 50px;
        border-top-right-radius: 50px;
        color: var(--first);
        height: 310px;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .frames {
        font-size: 5em;
        height: 100px;
        border-bottom-left-radius: 50px;
        border-bottom-right-radius: 50px;
        background: var(--dark);
        color: white;
    }

    .scorez {
        width: 100%;
        float: left;
        height: 100px;
    }

    .entry {
        width: 60%;
        float: left;
    }

    #entry {
        border: 0px solid red;
        background: none;
        margin-bottom: 10px;
        width: 80%;
        font-size: 5em;
        text-align: center;
        color: var(--second);
        float: left;
        display: flex;
        align-items: center;
        /* vertical centering */
        justify-content: center;
        /* horizontal centering, optional */
        height: 100px;
        font-family: var(--font);
        text-shadow: 2px 2px black;
    }

    #entry::placeholder {
        color: var(--second);
        opacity: 1;
        text-shadow: 2px 2px black;
    }

    #entry::-webkit-input-placeholder {
        color: var(--second);
        text-shadow: 2px 2px black;
    }

    #entry::-moz-placeholder {
        color: var(--second);
        text-shadow: 2px 2px black;
    }

    #entry:-moz-placeholder {
        color: var(--second);
        text-shadow: 2px 2px black;
    }

    #entry:-ms-input-placeholder {
        color: var(--second);
        text-shadow: 2px 2px black;
    }

    .status {
        margin-bottom: 10px;
        color: white;
        width: 40%;
        float: right;
        display: flex;
        align-items: center;
        /* vertical centering */
        justify-content: center;
        /* horizontal centering, optional */
        height: 100px;
        display: none;
    }

    .status span {
        font-weight: bold;
    }

    .keyz {
        width: 100%;
    }

    .keys {
        float: left;
        width: 60%;
    }

    .keypad {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        gap: 15px;
        float: left;
        width: 80%;
        margin: 10px 5px;
    }

    .keypad button {
        font-size: 1.4em;
        border: 0px;
        border-radius: 50px;
        font-family: var(--font);
        background: var(--button);
        font-weight: 600;
        width: 60px;
        height: 60px;
        color: black;
        border-bottom: 3px solid black;
        border-right: 3px solid black;
    }



    .actions {
        float: right;
        width: 40%;
        text-align: right;
    }

    .actions button {
        width: 100%;
        border-radius: 8px;
        background: var(--button);
        margin: 10px 0px;
        padding: 10px 0px;
        border: none;
        font-family: var(--font);
        font-size: 1.1em;
        border-bottom: 3px solid black;
        border-right: 3px solid black;
    }

    .actions button.selected {
        color: white;
    }

    #endMatch {
        --progress: 0%;
        background: linear-gradient(to right, rgba(255, 255, 255, 0.5) var(--progress), var(--special) var(--progress)), var(--flash);
        color: black;
        border: none;
        position: relative;
        user-select: none;
        -webkit-user-select: none;
        -webkit-touch-callout: none;
        border-bottom: 3px solid black;
        border-right: 3px solid black;
    }

    #resetGame {
        --progress: 0%;
        background: linear-gradient(to right, rgba(255, 255, 255, 0.5) var(--progress), var(--special) var(--progress)), var(--flash);
        color: black;
        border: none;
        position: relative;
        user-select: none;
        -webkit-user-select: none;
        -webkit-touch-callout: none;
        border-bottom: 3px solid black;
        border-right: 3px solid black;
    }

   #endFrame {
        --progress: 0%;
        background: linear-gradient(to right, rgba(255, 255, 255, 0.5) var(--progress), var(--special) var(--progress)), var(--flash);
        color: black;
        border: none;
        position: relative;
        user-select: none;
        -webkit-user-select: none;
        -webkit-touch-callout: none;
        transition: background .1s linear;
        border-bottom: 3px solid black;
        border-right: 3px solid black;
    }

    .highest-break {
        margin-top: 10px;
        font-size: 1em;
        color: white;
        font-weight: 400;
        text-align: center;
        width: 40%;
        float: left;
        text-shadow: 2px 2px black;
        padding: 10px 0px;
        border-top: 1px solid var(--dark);
    }

    #highestBreak {
        color: var(--second);
        font-size: 2.5em;
        padding-top: 10px;
        text-align: center;
        text-shadow: 2px 2px black;
    }

    .scoreboard {
        /*    background: var(--second);
*/
        margin: 20px 0px 0px 0px;
        float: left;
        width: 100%;
    }

    #enter {
        background-color: var(--flash);
        color: black;
    }

    /* FOOTER */

    .footer {
        background-color: var(--second);
        position: fixed;
        bottom: 0;
        left: 0;
        /* or right: 0; */
        width: 100%;
        /* full-width, adjust as needed */
        /* optional styling */
        color: white;
        padding: 1rem 0rem;
    }

    .logo-slider {
        position: relative;
        overflow: hidden;
        width: 100%;
        /* or set fixed width */
        box-sizing: border-box;
    }

    .slide-track {
        display: flex;
        width: calc(200%);
        /* since we duplicated logos */
        animation: scroll 300s linear infinite;
    }

    .slide {
        flex: 0 0 auto;
        /* do not shrink or grow */
        width: 200px;
        /* set logo container width */
        padding: 10px;
        box-sizing: border-box;
        margin-right: 50px;
    }

    .slide img {
        max-width: 100%;
        max-height: 60px;
        /* adjust for your design */
        object-fit: contain;
    }

    /* keyframes */
    @keyframes scroll {
        0% {
            transform: translateX(0);
        }

        100% {
            transform: translateX(-500%);
        }
    }

    .switch {
        position: relative;
        display: inline-block;
        width: 60px;
        height: 30px;
        vertical-align: middle;
        margin: 0 8px;
    }

    .switch input {
        opacity: 0;
        width: 0;
        height: 0;
    }

    .slider {
        position: absolute;
        cursor: pointer;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        background-color: #ccc;
        transition: .4s;
        border-radius: 30px;
    }

    .slider:before {
        position: absolute;
        content: "";
        height: 26px;
        width: 26px;
        left: 2px;
        bottom: 2px;
        background-color: white;
        transition: .4s;
        border-radius: 50%;
    }

    input:checked + .slider {
        background-color: var(--flash);
    }

    input:checked + .slider:before {
        transform: translateX(30px);
    }




}
